## cups 1.4.8

=== debian/changelog ===
cups (1.4.8-2) unstable; urgency=low

  * debian/control: Unbreak Maintainer: field. (Closes: #636574)

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Aug 2011 13:28:47 +0200

cups (1.4.8-1) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/filters/pstopdf: Added "-dNOINTERPOLATE" to the Ghostscript command
    line, this makes Ghostscript vastly faster.
  * debian/patches/use-ps2write-ghostscript-device-for-pdftops-filter.patch:
    Regenerated the patch, as we actually use it now. The "ps2write" output
    device produces finally DSC-conforming PostScript and so we can use
    Ghostscript for the pdftops filter. Made the patch also adding the
    "-dNOINTERPOLATE" to the Ghostscript command line.
  * debian/patches/series: Reactivated
    use-ps2write-ghostscript-device-for-pdftops-filter.patch and promoted it
    to the patches which should be submitted upstream.
  * debian/rules: Build CUPS with a Ghostscript-based pdftops filter.
  * debian/rules: Do not rename the pdftoraster filter of the PDF filter
    add-on any more as Ghostscript has the unified gstoraster filter now.
    Change the cost factor to make Ghostscript's filter being preferred.
  * debian/control: Let the "cups" package require at least version 9.02
    of Ghostscript, as this version does not ship a filter named pdftoraster
    any more. Added Replaces/Breaks on older Ghostscript versions
    (ghostscript-cups binary package) for smooth updating.

  [ Jamie Strandboge ]
  * debian/local/apparmor-profile: we need to allow both /var/run and /run
    for upgrades (LP: #810687)

  [ Martin Pitt ]
  * New upstream bug fix release, fixing two regressions from 1.4.7.
    (Closes: #635842)
  * debian/watch: Look for tar.bz2 instead of tar.gz now.
  * debian/local/apparmor-profile: Explicitly deny cupsd to write /run/samba,
    to avoid dmesg errors. (LP: #812035)
  * debian/control: Slightly relax ghostscript dependency to also match
    current Debian version.
  * debian/control: Add missing ghostscript build dependency.

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Aug 2011 09:35:35 +0200

cups (1.4.7-1) unstable; urgency=low

  * New upstream version.

  [ Till Kamppeter ]
  * debian/patches/ubuntu-upstart.dpatch: Updated the patch to add support
    to the new device enumeration functionality of udev-configure-printer.
    This way we do not need to retrigger the printers. Retriggering is only
    needed if udev rules change. A fallback to the old bahavior is provided
    so that this CUPS package continues to work with older versions of
    udev-configure-printer.

  [ Martin Pitt ]
  * Update patches for new upstream release.
  * Drop fix-broken-ipv6-uris.patch, applied upstream.
  * debian/local/apparmor-profile: /var/run → /run transition. (LP: #810270)
  * Drop debian/patches/ubuntu-upstart.dpatch and move the upstart script to
    debian/local/cups.upstart. In debian/rules, copy it to debian/, and remove
    that again during clean. This is a slightly easier workaround for a
    nonexisting "dh_installinit --sysvinit-only" option than the previous
    creation of the upstart file with an ubuntu specific dpatch.
  * debian/patches/, debian/rules, debian/control, debian/source/format: Move
    to source format "3.0 (quilt)" and convert our dpatches to quilt patches.
    Drop dpatch build dependency.
  * Move Ubuntu specific patches to debian/patches/ubuntu. In debian/rules,
    apply them when building on Ubuntu. Add "patch" build dependency.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jul 2011 15:02:36 +0200

cups (1.4.6-11) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/cups-avahi.dpatch: Updated Avahi patch to fix places in
    the CUPS source code where libdns_sd is supported but not Avahi.
    especially accept being called with a hostname with ".local" domain
    so that AirPrint works without "ServerAlias *" in cupsd.conf (LP: #801306).

  [ Steve Langasek ]
  * Build for multiarch. (Closes: #631425)

 -- Martin Pitt <mpitt@debian.org>  Tue, 28 Jun 2011 18:03:26 +0100

cups (1.4.6-10) unstable; urgency=low

  * debian/patches/cups-avahi.dpatch: Updated Avahi patch so that it
    generates the DNS-SD service names also correctly if there is a very
    long server name. Before it could crash if the server name was longer than
    AVAHI_LABEL_MAX - 4 (60) characters (LP: #793265).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 16 Jun 2011 19:09:11 +0200

cups (1.4.6-9) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-accept-old-usblp-uris.dpatch: Fixed bugs in
    the patch which got introduced by the upstream clean-up and by the fix
    of a potential segfault.
  * debian/patches/usb-backend-accept-old-usblp-uris.dpatch:
    Patch got accepted upstream, replaced it by the version from
    the upstream trunk (1.5.x).

  [ Martin Pitt ]
  * debian/cups.postinst: Quiesce errors from rmmod. (Closes: #630109)

 -- Martin Pitt <mpitt@debian.org>  Wed, 15 Jun 2011 06:39:52 +0200

cups (1.4.6-8) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-accept-old-usblp-uris.dpatch: Let the
    libusb-based "usb" backend accept also the old device URIs from the
    usblp-kernel-module-based "usb" backend, so that printing stays working
    for users who update from an old CUPS package with the usblp-based backend
    without needing to migrate the URIs. Warnings in error_log tell about
    the use of old URIs and the advantages of updating them.
  * debian/patches/cups-deviced-allow-device-ids-with-newline.dpatch: Fixed
    segfault happening sometimes when a device with a newline in its device
    ID is found.

  [ Martin Pitt ]
  * Drop usb-backend-both-usblp-and-libusb.dpatch. It's causing crashes, and
    upstream does not want it either. Instead, add a blacklist file
    debian/local/blacklist-cups-usblp.patch and install it into
    /etc/modprobe.d/; that way, we don't require kernels to disable usblp, and


=== debian/control ===
Source: cups
Priority: optional
Section: net
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Standards-Version: 3.9.2
Build-Depends: libpam0g-dev, libtiff4-dev, libjpeg-dev, zlib1g-dev,
 libpng12-dev, libslp-dev, libgnutls-dev, libpaper-dev, libldap2-dev,
 debhelper (>= 8.1.3), patch, po-debconf, cdbs (>= 0.4.93), sharutils, 
 libdbus-1-dev, libkrb5-dev | heimdal-dev,
 libavahi-compat-libdnssd-dev, libavahi-common-dev, libavahi-client-dev,
 libpoppler-dev (>= 0.12.2-2), pkg-config,
 poppler-utils, po4a (>= 0.31), autotools-dev, autoconf, automake, 
 libtool, libijs-dev, hardening-wrapper, liblcms1-dev, libfreetype6-dev,
 libfontconfig1-dev, pkg-config, libusb-dev, ghostscript (>= 9.02~)
Uploaders: Kenshi Muto <kmuto@debian.org>, 
 Martin Pitt <mpitt@debian.org>, Roger Leigh <rleigh@debian.org>, 
 Martin-Éric Racine <martin-eric.racine@iki.fi>, Masayuki Hatta (mhatta) <mhatta@debian.org>,
 Jeff Licquia <licquia@debian.org>
Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups/debian-trunk/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups/debian-trunk/

Package: libcups2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cups-common
Provides: libcupsys2
Breaks: cups (<< 1.4.4)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Core library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared libraries for CUPS.

Package: libcupsimage2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Raster image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the image libraries for handling the CUPS
 raster format.

Package: libcupscgi1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - CGI library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library for CGI programs in the
 CUPS web interface

Package: libcupsdriver1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Driver library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library with useful functions for printer
 drivers.

Package: libcupsmime1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - MIME library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library for file type detection and
 file conversion filter chain building.

Package: libcupsppdc1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - PPD manipulation library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared library for generating and
 manipulating PPD files.

Package: cups
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0,
 poppler-utils (>= 0.12), procps, ghostscript (>= 9.02~), lsb-base (>= 3),
 cups-common (>= ${source:Upstream-Version}), 
 cups-client (>= ${binary:Version}),
 ssl-cert (>= 1.0.11), adduser, bc, ttf-freefont, cups-ppdc
Recommends: avahi-daemon, foomatic-filters (>= 4.0), 
 cups-driver-gutenprint, ghostscript-cups (>= 9.02~)
Suggests: cups-bsd, foomatic-db-compressed-ppds | foomatic-db,
 hplip, cups-pdf, udev, smbclient
Replaces: cupsddk-drivers (<< 1.4.0), ghostscript-cups (<< 9.02~)
Conflicts: cupsddk-drivers (<< 1.4.0)
Provides: cupsddk-drivers
Breaks: foomatic-filters (<< 4.0), ghostscript-cups (<< 9.02~)
Description: Common UNIX Printing System(tm) - server
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon and related files.

Package: cups-client
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 cups-common (>= ${source:Upstream-Version}), adduser
Recommends: smbclient
Suggests: cups, xpp, cups-bsd
Conflicts: lprng
Description: Common UNIX Printing System(tm) - client programs (SysV)
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the System V style print client programs.

Package: libcups2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcups2 (= ${binary:Version}), 
 libgnutls-dev, libkrb5-dev | heimdal-dev
Provides: libcupsys2-dev
Description: Common UNIX Printing System(tm) - Development files CUPS library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CUPS-aware
 applications and CUPS drivers, as well as examples how to communicate
 with cups from different programming languages (Perl, Java, and
 PHP).

Package: libcupsimage2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libcupsimage2 (= ${binary:Version}), libcups2-dev (= ${binary:Version}), 
 libpng-dev, libtiff4-dev, libjpeg8-dev | libjpeg-dev, zlib1g-dev
Description: Common UNIX Printing System(tm) - Development files CUPS image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing applications
 that use the CUPS raster image format.

Package: libcupscgi1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupscgi1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files for CGI library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CGI programs
 for the CUPS web interface using libcupscgi.

Package: libcupsdriver1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupsdriver1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version}), libcupsimage2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files driver library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing printer drivers
 using libcupsdriver.

Package: libcupsmime1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupsmime1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files MIME library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing programs
 using libcupsmime.

Package: libcupsppdc1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupsppdc1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files PPD library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing programs
 using libcupsppdc.

Package: cups-bsd
Priority: extra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 cups-client (= ${binary:Version}),
 debconf | debconf-2.0, update-inetd, cups-common
Suggests: cups
Conflicts: lpr, lprng
Replaces: lpr
Provides: lpr
Description: Common UNIX Printing System(tm) - BSD commands
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpr, lpd and the like.  It supports the
 Internet Printing Protocol (IPP), and has its own filtering driver
 model for handling various document types.
 .
 This package provides the BSD commands for interacting with CUPS.  It
 is provided separately to allow CUPS to coexist with other printing
 systems (to a small degree).

Package: cups-common
Priority: optional
Section: net
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Common UNIX Printing System(tm) - common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides common files for CUPS server and client packages.

Package: cups-ppdc
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cups-common
Conflicts: cupsddk (<< 1.4.0)
Replaces: cupsddk (<< 1.4.0)
Provides: cupsddk
Description: Common UNIX Printing System(tm) - PPD manipulation utilities
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
# http://www.cups.org/str.php?L3765
export LC_MESSAGES=C

# work around libpng crash on our test PNGs with 8 bit colormaps (LP #710881)
export NO_PNG_PKG_MANGLE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --with-docdir=/usr/share/cups/doc-root --localedir=/usr/share/cups/locale --enable-slp --enable-libpaper --enable-ssl --enable-gnutls --disable-openssl --disable-threads --enable-static --enable-libusb --enable-dbus --with-dbusdir=/etc/dbus-1 --enable-gssapi --enable-avahi --with-pdftops=/usr/bin/gs --disable-launchd --with-cups-group=lp --with-system-groups=lpadmin --with-printcap=/var/run/cups/printcap --with-log-file-perm=0640 CFLAGS="$(CFLAGS)" --with-local_protocols='CUPS dnssd' --with-remote_protocols='CUPS dnssd'

DEB_MAKE_INSTALL_TARGET := install BUILDROOT=$(DEB_DESTDIR)
DEB_INSTALL_CHANGELOGS_ALL := CHANGES.txt

ifeq ($(shell dpkg-vendor --query vendor), Ubuntu)
DEB_DH_INSTALLINIT_ARGS := --upstart-only
else
DEB_DH_INSTALLINIT_ARGS := -u'start 50 2 3 4 5 . stop 80 1 .'
endif

DEB_DH_STRIP_ARGS := --dbg-package=cups-dbg
DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend-available
DEB_DH_COMPRESS_ARGS := -Xusr/share/doc/libcups2-dev/examples/scripting
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
ifneq ($(findstring $(DEB_BUILD_ARCH), arm m68k),)
DEB_MAKE_CHECK_TARGET := check || true
else
DEB_MAKE_CHECK_TARGET := check
endif
LDFLAGS := -Wl,--as-needed
DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DPKG_GENSYMBOLS_CHECK_LEVEL

post-patches::
	# Add source code of extra filters for PDF printing workflow
	( cd debian/local/filters/pdf-filters/; sh ./addtocups ../../../.. )
	touch pdftopdf/Dependencies
	touch pdftoopvp/Dependencies
	touch pdftoopvp/oprs/Dependencies
	set -e; if dpkg-vendor --is ubuntu && ! [ -e debian/patches/ubuntu/stamp-applied ]; then \
	    echo '---- Applying Ubuntu specific patches'; \
	    for p in debian/patches/ubuntu/*; do \
	        patch -p1 --no-backup-if-mismatch < $$p; \
	    done; \
	    touch debian/patches/ubuntu/stamp-applied; \
	fi

common-post-build-arch::
	# Fix permissions of filters/backends installed from debian/local/
	chmod 755 debian/local/filters/*
	#chmod 755 debian/local/backends/*

clean::
	if [ -e debian/patches/ubuntu/stamp-applied ]; then \
	    echo '---- Unapplying Ubuntu specific patches'; \
	    for p in debian/patches/ubuntu/*; do \
	        patch -Rp1 --no-backup-if-mismatch < $$p; \
	    done; \
	    rm debian/patches/ubuntu/stamp-applied; \
	fi

cleanbuilddir::
	rm -f man/client.conf.man packaging/cups.list
	rm -f conf/mime.convs conf/snmp.conf init/org.cups.cups-lpd.plist
	[ ! -f Makedefs ] || make distclean
	# Remove source code of extra filters for PDF printing workflow
	( cd debian/local/filters/pdf-filters/; sh ./removefromcups ../../../.. )
	rm -f debian/*.upstart # master copy is in debian/local

common-install-prehook-impl::
	(cd fonts && $(MAKE) install BUILDROOT=$(DEB_DESTDIR))

	# Use upstart script on Ubuntu; we need to hide it away for Debian
	# builds, as dh_installinit does not have a --sysvinit-only
	if dpkg-vendor --is ubuntu; then \
	    cp debian/local/*.upstart debian; \
	fi

binary-post-install/cups::
	(cd $(DEB_DESTDIR)/../cups/usr/share/doc/cups && ln -sf ../../cups/doc-root online-docs)

	# Ensure that we don't ship anything in /var/run
	rm -rf $(DEB_DESTDIR)/../cups/var/run

	# PPD directories
	mkdir -p "$(DEB_DESTDIR)/../cups/usr/share/ppd/cups-included/"

	dh_usrlocal

	# Install AppArmor, ufw profile, and Apport hook on Ubuntu
	if dpkg-vendor --is ubuntu; then \
	   install -D -m 644 debian/local/apparmor-profile debian/$(cdbs_curpkg)/etc/apparmor.d/usr.sbin.cupsd; \
	   install -D -m 644 debian/local/cups.ufw.profile debian/$(cdbs_curpkg)/etc/ufw/applications.d/cups; \
	   install -D -m 644 debian/local/apport-hook.py debian/$(cdbs_curpkg)/usr/share/apport/package-hooks/source_cups.py; \
	fi

	# Make the usb backend run as root, since /dev/bus/usb/* are
	# root:root in udev < 147, and cups does not use the usblp kernel
	# module any more; udev 147 makes most of those printers accessible to
	# lp, but apparently not all of them
	chmod go-x debian/$(cdbs_curpkg)/usr/lib/cups/backend-available/usb; \

	# Modify the cost factor for the Poppler-based pdftoraster filter of
	# the PDF filter add-on so that Ghostscript's gstoraster gets preferred.
	sed -i -r -e '/\spdftoraster$$/ { s/66/100/ }' \
	  $(DEB_DESTDIR)/../cups/usr/share/cups/mime/pdftoraster.convs

	# Install documentation of the PDF CUPS filters
	install -m 644 debian/local/filters/pdf-filters/README $(DEB_DESTDIR)/../cups/usr/share/doc/cups/README.pdf-filters
	install -m 644 debian/local/filters/pdf-filters/filter/test.sh $(DEB_DESTDIR)/../cups/usr/share/doc/cups/examples/texttopdf-text.sh
	install -m 644 debian/local/filters/pdf-filters/conf/HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd $(DEB_DESTDIR)/../cups/usr/share/doc/cups/examples/
	# Simple Ghostscript-based PostScript-to-PDF filter
	install -m 0755 debian/filters/pstopdf $(DEB_DESTDIR)/../cups/usr/lib/cups/filter

	# Make the serial backend run as root, since /dev/ttyS* are
	# root:dialout and thus not accessible as user lp
	chmod go-x debian/$(cdbs_curpkg)/usr/lib/cups/backend-available/serial

binary-post-install/cups-common::
	# Compress charmaps
	gzip -9 debian/$(cdbs_curpkg)/usr/share/cups/charmaps/*.txt

binary-post-install/libcupsimage2-dev::
	rm -r debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
	ln -s libcupsimage2 debian/libcupsimage2-dev/usr/share/doc/libcupsimage2-dev
binary-post-install/cups-bsd::
	rm -r debian/cups-bsd/usr/share/doc/cups-bsd
	ln -s libcups2 debian/cups-bsd/usr/share/doc/cups-bsd
binary-post-install/libcups2-dev::
	rm -f debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/scripting/php/*.o
	rm -f debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples/scripting/php/*.so
binary-post-install/cups-client::
	rm -r debian/cups-client/usr/share/doc/cups-client
	ln -s libcups2 debian/cups-client/usr/share/doc/cups-client

## cups 1.5.0

=== test/Makefile ===
#
# "$Id: Makefile 9517 2011-02-10 23:19:21Z mike $"
#
#   IPP test makefile for CUPS.
#
#   Copyright 2007-2010 by Apple Inc.
#   Copyright 1997-2006 by Easy Software Products, all rights reserved.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#

include ../Makedefs


#
# Sample test files.
#

TESTFILES	=	\
			create-printer-subscription.test \
			get-completed-jobs.test \
			get-jobs.test \
			ipp-1.1.test \
			ipp-2.0.test \
			ipp-2.1.test \
			testfile.jpg \
			testfile.pdf \
			testfile.ps \
			testfile.txt
OBJS		=	\
			ippserver.o \
			ipptool.o
TARGETS		=	\
			ippserver \
			ipptool \
			ipptool-static


#
# Make all targets...
#

all:		$(TARGETS)


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:


#
# Clean all object files...
#

clean:
	$(RM) $(TARGETS) $(OBJS)


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.c) >/dev/null 2>&1


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:
	echo Installing sample ipptool files in $(DATADIR)/ipptool...
	$(INSTALL_DIR) -m 755 $(DATADIR)/ipptool
	for file in $(TESTFILES); do \
		$(INSTALL_DATA) $$file $(DATADIR)/ipptool; \
	done


#
# Install programs...
#

install-exec:
	echo Installing ipptool in $(BINDIR)...
	$(INSTALL_DIR) -m 755 $(BINDIR)
	$(INSTALL_BIN) ipptool $(BINDIR)
	if test "x$(SYMROOT)" != "x"; then \
		$(INSTALL_DIR) $(SYMROOT); \
		cp ipptool $(SYMROOT); \
	fi


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Unnstall all targets...
#

uninstall:


#
# ippserver
#

ippserver:	ippserver.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ ippserver.o  ../cups/$(LIBCUPSSTATIC) \
		$(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) $(COMMONLIBS) $(LIBZ)


#
# ippserver-shared
#

ippserver-shared:	ippserver.o ../cups/$(LIBCUPS)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ ippserver.o $(LIBS)


#
# ipptool
#

ipptool:	ipptool.o ../cups/$(LIBCUPS)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ ipptool.o $(LIBS)


#
# ipptool-static
#

ipptool-static:	ipptool.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ ipptool.o  ../cups/$(LIBCUPSSTATIC) \
		$(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) $(COMMONLIBS) $(LIBZ)


#
# Dependencies...
#

include Dependencies


#
# End of "$Id: Makefile 9517 2011-02-10 23:19:21Z mike $".
#

=== debian/changelog ===
cups (1.5.0-8) unstable; urgency=medium

  * Urgency medium due to security fix. The previous version wasn't in testing
    yet, but already matured for half of the usual period, so it will still
    be 10 days in sum.
  * Add 00svn_gif_overflow.patch: Fix heap overflow with broken/crafted GIF
    files. Patch taken from upstream svn. [CVE-2011-3170]

 -- Martin Pitt <mpitt@debian.org>  Tue, 27 Sep 2011 14:46:38 +0200

cups (1.5.0-7) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/dnssd-reg-array-linear-search.patch: Let the array of
    DNS-SD-registered printers be searched linearly and not binarily by
    the DNS-SD service name, as due to another bug the DNS-SD service name
    is not correctly set in some array elements (LP: #855445). Not
    reporting upstream yet, as the original bug can be in the Avahi
    support patch.

  [ Martin Pitt ]
  * debian/local/cups.upstart: Lower the timeout for waiting for the socket
    to 3 seconds. Tweak the respawn count and limit to be longer than the
    socket poll time, so that a continuously failing cupsd process will not
    cause an eternal respawn loop. (LP: #854490)
  * debian/control: Have libcupsmime1 break pre-1.5 versions of cups as well,
    so that we avoid having a configured "cups" packae with an upgraded, but
    unconfigured libcupsmime1 package. This takes care of LP: #854490 during
    upgrades.
  * debian/rules: Configure with --enable-debug, to stop the upstream build
    system stripping all our binaries. This fixes the cups-dbg package.

 -- Martin Pitt <mpitt@debian.org>  Thu, 22 Sep 2011 19:57:54 +0200

cups (1.5.0-6) unstable; urgency=low

  * debian/cups-client.install: Do not install the jpg/pdf/ps ipptool test
    files. They are quite large, and not used anywhere by cups itself.
  * debian/libcups2.symbols, debian/libcupsmime1.symbols: Drop revisions from
    new symbols of 1.5.0.
  * debian/local/apparmor-profile: Some third-party filters install themselves
    into a subdirectory of /usr/lib/cups/filter, adjust rule. (See LP #160092)
  * debian/control: Force libcups2 (>= 1.5) dependency on libcupsmime1, as it
    uses private symbols from libcups2. (Closes: #641182)
  * debian/libcupsmime1.symbols: Drop Debian revision suffix.
  * Update debconf translations (debconf-updatepo).

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 Sep 2011 12:03:27 +0200

cups (1.5.0-5) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/cups.postinst: When executing the trigger on *.ppd-updater files of
    printer driver packages, log the modification dates of the *.ppd-updater
    (are more or less the build dates of the driver packages) after updating
    the PPDs of the existing queues for this package and only update again if
    the *.ppd-updater file has a different modification date (package got
    replaced). This avoids unnecessary updates and so long delays when one
    printer driver package gets updated.
  * debian/control: Added myself to Uploaders: to avoid Lintian warnings about
    unlogged NMUs.

  [ Martin Pitt ]
  * debian/control: Bump Breaks: cups version for libcups2, as cupsd seems to
    use internal private symbols from this library. (Closes: #638462)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 22 Aug 2011 12:13:43 +0200

cups (1.5.0-4) unstable; urgency=low

  * debian/cups.postinst: Another fix for the PPD updater: Let the PPD updater
    not stop altogether in the case that for one driver there is no entry at all
    in the output of "lpinfo -m". This is for example the case for
    foomatic-db-engine if foomatic-db is not installed.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 19 Aug 2011 06:38:18 +0200

cups (1.5.0-3) unstable; urgency=low

  * debian/patches/cups-driverd-recognize-cached-drv-generated-ppds.patch:
    CUPS did not recognize that the PPD files generated by *.drv are cached
    in ppds.dat, and when reloading them over the entries already loaded from
    the cache, the PPD list got totally messed up (CUPS STR #3921).
  * debian/cups.postinst: Clear PPD cache when upgrading from an older version
    to remove the buggy entries for the *.drv files.
  * debian/cups.postinst: Fixes on the PPD updater:
     o Added "return 0" at the end of the ppd_updater() function, otherwise
       the progrem terminates at its end and so only the first updater file
       in /usr/share/cups/ppd-updaters/ is treated.
     o Added quotes around parameter names to conserve the special characters
       of the regexps.
     o Made sure that when regexps are applied to the lines of the temporary
       files that the resulting lines have still single newlines at their ends.
     o Log for which drivers the PPDs get updated.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 18 Aug 2011 08:45:53 +0200

cups (1.5.0-2) unstable; urgency=low

  [ Didier Raboud ]
  * Add a dpkg trigger to update the queues' PPDs on (cooperative) driver
    upgrades (Closes: #637978).

  [ Till Kamppeter ]
  * debian/patches/cups-avahi.patch: Resynced with patch upstream (Tim Waugh,
    Red Hat), via "git clone http://twaugh.fedorapeople.org/cups-avahi.git;
    cd cups-avahi, git diff origin/master origin/avahi-services-1.5 >
    ../cups-1.5-avahi.patch" and replacing cups-avahi.patch by the resulting
    patch.
  * debian/patches/airprint-support.patch: The changes for supporting Apple's
    AirPrint are not in Tim Waugh's upstream repository of cups-avahi.patch.
    Therefore we carry these changes in a separate patch to make syncing
    with Tim's patch easier.
  * debian/patches/no-conffile-timestamp.patch: Refreshed with quilt.
  * debian/patches/colord-support.patch: Added colord support. Thanks to
    Richard Hughes from Red Hat for the patch (LP: #787767, CUPS STR #3808).
  * debian/patches/no-conffile-timestamp.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/show-compile-command-lines.patch: Refreshed with quilt.


=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
 Uploaders: Kenshi Muto <kmuto@debian.org>, 
  Martin Pitt <mpitt@debian.org>, Roger Leigh <rleigh@debian.org>, 
  Martin-Éric Racine <martin-eric.racine@iki.fi>, Masayuki Hatta (mhatta) <mhatta@debian.org>,
- Jeff Licquia <licquia@debian.org>
+ Jeff Licquia <licquia@debian.org>,
+ Till Kamppeter <till.kamppeter@gmail.com>
 Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups/debian-trunk/
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups/debian-trunk/
 
@@ -26,7 +27,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: cups-common
 Provides: libcupsys2
-Breaks: cups (<< 1.4.4)
+Breaks: cups (<< 1.5.0)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Common UNIX Printing System(tm) - Core library
@@ -89,7 +90,8 @@
 Priority: optional
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libcups2 (>= 1.5~), ${shlibs:Depends}, ${misc:Depends}
+Breaks: cups (<< 1.5.0)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Common UNIX Printing System(tm) - MIME library
@@ -126,7 +128,7 @@
  cups-common (>= ${source:Upstream-Version}), 
  cups-client (>= ${binary:Version}),
  ssl-cert (>= 1.0.11), adduser, bc, ttf-freefont, cups-ppdc
-Recommends: avahi-daemon, foomatic-filters (>= 4.0), 
+Recommends: avahi-daemon, colord, foomatic-filters (>= 4.0), 
  cups-driver-gutenprint, ghostscript-cups (>= 9.02~)
 Suggests: cups-bsd, foomatic-db-compressed-ppds | foomatic-db,
  hplip, cups-pdf, udev, smbclient
@@ -296,4 +298,3 @@
 Replaces: cupsddk (<< 1.4.0)
 Provides: cupsddk
 Description: Common UNIX Printing System(tm) - PPD manipulation utilities
- The Common UNIX Printing System (or CUPS(tm)) is a printing system and

=== debian/watch ===
version=3
http://ftp.cups.org/pub/cups/([\d\.]+)/cups-(.*)-source\.tar\.bz2 \
	debian uupdate --no-symlink
